TrecDocParser.ParsePathType (Lucene 3.6.2 API)
Keywords: org.apache.lucene.benchmark.byTask.feeds.TrecDocParser.ParsePathType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.benchmark.byTask.feeds
Enum TrecDocParser.ParsePathType

    java.lang.Object
      java.lang.Enum<TrecDocParser.ParsePathType>
          org.apache.lucene.benchmark.byTask.feeds.TrecDocParser.ParsePathType

All Implemented Interfaces:
  Serializable, Comparable<TrecDocParser.ParsePathType>

Enclosing class:
  TrecDocParser

    public static enum TrecDocParser.ParsePathType

extends Enum<TrecDocParser.ParsePathType>

Types of trec parse paths,

Enum Constant Summary
`FBIS`
`FR94`
`FT`
`GOV2`
`LATIMES`

Method Summary
`static TrecDocParser.ParsePathType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TrecDocParser.ParsePathType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GOV2

    public static final TrecDocParser.ParsePathType GOV2

### FBIS

    public static final TrecDocParser.ParsePathType FBIS

### FT

    public static final TrecDocParser.ParsePathType FT

### FR94

    public static final TrecDocParser.ParsePathType FR94

### LATIMES

    public static final TrecDocParser.ParsePathType LATIMES

Method Detail

### values

    public static final TrecDocParser.ParsePathType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TrecDocParser.ParsePathType c : TrecDocParser.ParsePathType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TrecDocParser.ParsePathType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD